Ask Your Question
0

Authentication required neutron

asked 2013-12-14 17:49:30 -0600

rg3 gravatar image

updated 2014-01-22 15:12:26 -0600

Evgeny gravatar image

Good night Sorry for bother you again, but I have question about one error when I try to use the neutron api, that I don't know what mean and as can solved. When I run the command neutron router-list the answer in terminal is Authentication required. Looking in the logs I found this: 2013-12-14 22:36:31.055 28159 WARNING keystoneclient.middleware.auth_token [-] Verify error: Command 'openssl' returned non-zero exit status 4

http://paste.openstack.org/show/55009/ Can you help me I will be gratefully Best regards, Rafael

edit retag flag offensive close merge delete

3 answers

Sort by ยป oldest newest most voted
2

answered 2013-12-14 21:25:22 -0600

SamYaple gravatar image

I had this issue with neutron recently. I resolved it by using UUID as the token format in keystone rather than PKI.

A similar bug https://bugs.launchpad.net/python-keystoneclient/+bug/1176190 (here) pointed me in the right direction.

The only change I made to my keystone.conf file was

[signing]
token_format = UUID

I did not have time to troubleshoot further. I would love a true answer to this question as well. If it is a bug, or a configuration issue.

edit flag offensive delete link more

Comments

Question for you. I'm assuming you tried the above with Havana. After changing to above did the token format changed to uuid format ?

dheeru gravatar imagedheeru ( 2013-12-15 09:12:17 -0600 )edit

Yes. After I restarted the keystone service it was an instant change (and all services on all nodes picked up on the change immediately as well).

SamYaple gravatar imageSamYaple ( 2013-12-15 09:21:28 -0600 )edit

thank you Sam. It was supposed to be driven through [driver] section and not through token_format. This surprised me.

dheeru gravatar imagedheeru ( 2013-12-15 09:31:19 -0600 )edit
0

answered 2013-12-15 07:59:35 -0600

TypoPhil gravatar image

Hello,

I had, if not the same, a similar error. Problem seems to be, that neutron uses api-paste.ini, it's a default. In nova's standard api-paste.ini, at the bottom, there's a comment about a bug. As a solution/workaround "auth_version = v2.0" is added to api-paste.ini, in the "[filter:authtoken]" section. https://bugs.launchpad.net/nova/+bug/1154809

This worked for me. Here's my issue:

https://ask.openstack.org/en/question/8235/havana-neutron-unauthorized-authentication-required/

Regards, Phil

edit flag offensive delete link more
0

answered 2013-12-17 03:58:31 -0600

rg3 gravatar image

Thanks so much all of you. Your replys help me a lot to fixed the problem.

Best Regards, Rafael.

edit flag offensive delete link more

Your Answer

Please start posting anonymously - your entry will be published after you log in or create a new account.

Add Answer

Get to know Ask OpenStack

Resources for moderators

Question Tools

1 follower

Stats

Asked: 2013-12-14 17:49:30 -0600

Seen: 2,104 times

Last updated: Dec 17 '13